
// McDonald.java
// Andrew Davison, April 2005, ad@fivedots.coe.psu.ac.th

/* V metodě init() stáhne zvukový klip a při zavolání metody start()
   jej opakovaně přehrává. Bohudík jej zastaví metoda stop() v případě, 
   že stránka již v prohlížeči není aktivní.   
*/

import java.awt.*;
import javax.swing.*;
import java.applet.AudioClip;


public class McDonald extends JApplet
{
  private AudioClip mcdClip;

  public void init() 
  {  mcdClip = getAudioClip(getCodeBase(), "mcdonald.mid");  }

  public void paint(Graphics g) 
  {  g.drawString("Starý McDonald", 25, 25);  }

  public void stop() 
  {  mcdClip.stop(); }    

  public void start()
  /* Ke spuštění cyklického přehrávání (a volání metody play()) 
     dochází vždy na začátku klipu. */
  { mcdClip.loop();  }
  
} // konec třídy: McDonald